Open CASCADE Technology: ShapeAnalysis_FreeBoundData Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
ShapeAnalysis_FreeBoundData Class Reference

This class is intended to represent free bound and to store its properties. More...

`#include <ShapeAnalysis_FreeBoundData.hxx>`

Inheritance diagram for ShapeAnalysis_FreeBoundData:
[legend]

## Public Member Functions
| ShapeAnalysis_FreeBoundData ()
| Empty constructor. More...
| ShapeAnalysis_FreeBoundData (const TopoDS_Wire &freebound)
| Creates object with contour given in the form of TopoDS_Wire. More...
void | Clear ()
| Clears all properties of the contour. Contour bound itself is not cleared. More...
void | SetFreeBound (const TopoDS_Wire &freebound)
| Sets contour. More...
void | SetArea (const Standard_Real area)
| Sets area of the contour. More...
void | SetPerimeter (const Standard_Real perimeter)
| Sets perimeter of the contour. More...
void | SetRatio (const Standard_Real ratio)
| Sets ratio of average length to average width of the contour. More...
void | SetWidth (const Standard_Real width)
| Sets average width of the contour. More...
void | AddNotch (const TopoDS_Wire &notch, const Standard_Real width)
| Adds notch on the contour with its maximum width. More...
TopoDS_Wire | FreeBound () const
| Returns contour. More...
Standard_Real | Area () const
| Returns area of the contour. More...
Standard_Real | Perimeter () const
| Returns perimeter of the contour. More...
Standard_Real | Ratio () const
| Returns ratio of average length to average width of the contour. More...
Standard_Real | Width () const
| Returns average width of the contour. More...
Standard_Integer | NbNotches () const
| Returns number of notches on the contour. More...
Handle< TopTools_HSequenceOfShape > | Notches () const
| Returns sequence of notches on the contour. More...
TopoDS_Wire | Notch (const Standard_Integer index) const
| Returns notch on the contour. More...
Standard_Real | NotchWidth (const Standard_Integer index) const
| Returns maximum width of notch specified by its rank number on the contour. More...
Standard_Real | NotchWidth (const TopoDS_Wire &notch) const
| Returns maximum width of notch specified as TopoDS_Wire on the contour. More...
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

This class is intended to represent free bound and to store its properties.

This class is used by ShapeAnalysis_FreeBoundsProperties class when storing each free bound and its properties.

The properties stored in this class are the following:

- area of the contour,
- perimeter of the contour,
- ratio of average length to average width of the contour,
- average width of contour,
- notches (narrow 'V'-like sub-contours) on the contour and their maximum width.

This class provides methods for setting and getting fields only.

## Constructor & Destructor Documentation

ShapeAnalysis_FreeBoundData::ShapeAnalysis_FreeBoundData | ( |  | ) |

Empty constructor.

ShapeAnalysis_FreeBoundData::ShapeAnalysis_FreeBoundData | ( | const TopoDS_Wire & | freebound | ) |

Creates object with contour given in the form of TopoDS_Wire.

## Member Function Documentation

void ShapeAnalysis_FreeBoundData::AddNotch | ( | const TopoDS_Wire & | notch,
|  | const Standard_Real | width
| ) |  |

Adds notch on the contour with its maximum width.

Standard_Real ShapeAnalysis_FreeBoundData::Area | ( |  | ) | const

Returns area of the contour.

void ShapeAnalysis_FreeBoundData::Clear | ( |  | ) |

Clears all properties of the contour. Contour bound itself is not cleared.

TopoDS_Wire ShapeAnalysis_FreeBoundData::FreeBound | ( |  | ) | const

Returns contour.

Standard_Integer ShapeAnalysis_FreeBoundData::NbNotches | ( |  | ) | const

Returns number of notches on the contour.

TopoDS_Wire ShapeAnalysis_FreeBoundData::Notch | ( | const Standard_Integer | index | ) | const

Returns notch on the contour.

Handle< TopTools_HSequenceOfShape > ShapeAnalysis_FreeBoundData::Notches | ( |  | ) | const

Returns sequence of notches on the contour.

Standard_Real ShapeAnalysis_FreeBoundData::NotchWidth | ( | const Standard_Integer | index | ) | const

Returns maximum width of notch specified by its rank number on the contour.

Standard_Real ShapeAnalysis_FreeBoundData::NotchWidth | ( | const TopoDS_Wire & | notch | ) | const

Returns maximum width of notch specified as TopoDS_Wire on the contour.

Standard_Real ShapeAnalysis_FreeBoundData::Perimeter | ( |  | ) | const

Returns perimeter of the contour.

Standard_Real ShapeAnalysis_FreeBoundData::Ratio | ( |  | ) | const

Returns ratio of average length to average width of the contour.

void ShapeAnalysis_FreeBoundData::SetArea | ( | const Standard_Real | area | ) |

Sets area of the contour.

void ShapeAnalysis_FreeBoundData::SetFreeBound | ( | const TopoDS_Wire & | freebound | ) |

Sets contour.

void ShapeAnalysis_FreeBoundData::SetPerimeter | ( | const Standard_Real | perimeter | ) |

Sets perimeter of the contour.

void ShapeAnalysis_FreeBoundData::SetRatio | ( | const Standard_Real | ratio | ) |

Sets ratio of average length to average width of the contour.

void ShapeAnalysis_FreeBoundData::SetWidth | ( | const Standard_Real | width | ) |

Sets average width of the contour.

Standard_Real ShapeAnalysis_FreeBoundData::Width | ( |  | ) | const

Returns average width of the contour.

The documentation for this class was generated from the following file:

- ShapeAnalysis_FreeBoundData.hxx